Índice de Angstron 
Desenvolvido na Suécia, este índice baseia-se fundamentalmente na temperatura e umidade relativa do ar, ambos medidos diariamente às 13 horas. Não é um índice cumulativo. A equação do índice é a seguinte: 
B = 0,05H - 0,1(T - 27) 
sendo:
B = índice de Angstron
H = umidade relativa do ar em %
T = temperatura do ar em °C 
Sempre que o valor de B for menor do que 2,5 haverá risco de incêndio, isto é, as condições atmosféricas do dia estarão favoráveis à ocorrência de incêndios.


-- Nome: An_MAP_RiskFire_Angstron
--  Inicio
local T1 = soma_pn('Temp2m_brams5km', 1, 1)
local T6 = soma_pn('Temp2m_brams5km', 6, 6)
local T12 = soma_pn('Temp2m_brams5km', 12, 12)
local T18 = soma_pn('Temp2m_brams5km', 18, 18)
local T24 = soma_pn('Temp2m_brams5km', 24, 24)
local TMax = math.max(T1,T6,T12,T18,T24)


local H1 =  soma_pn('Ur2m_brams5km', 1, 1)
local H6 =  soma_pn('Ur2m_brams5km', 6, 6)
local H12 = soma_pn('Ur2m_brams5km', 12, 12)
local H18 = soma_pn('Ur2m_brams5km', 18, 18)
local H24 = soma_pn('Ur2m_brams5km', 24, 24)
local HMin = math.min(H1,H6,H12,H18,H24)

--print(name_city,T1,T6,T12,T18,T24,TMax)
--print(name_city,H1,H6,H12,H18,H24,HMin)

local B = 0.05 * HMin  - 0.1* (TMax - 27)

-- print(name_city,B)


add_value(B, 'Indice de Angstron')

if B > 3  then
     return 0 -- Normal
   elseif B > 2.5 then
     return 1 -- Observacao
   elseif B > 1.5 then
     return 2 -- Atencao
   elseif B > 1 then
     return 3 -- Alerta
   else
     return 4 -- Alerta maximo
end



-- recorte das fontes de dados amb.
-- xmin = -82  xmax = -42
-- ymin = -24  ymax = 9
